TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

IsPrincipal ( rng R ) -> elt-alg^boo

### Description

<shortdoc> True iff ring R is a principal ideal ring (i.e., iff all ideals of R are principal). </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack